# Class RequestSanitizer

java.lang.Object
com.databricks.jdbc.dbclient.impl.http.RequestSanitizer

public class RequestSanitizer extends Object

## Constructor Summary

Constructors
Constructor
Description
`RequestSanitizer()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`sanitizeRequest(org.apache.http.client.methods.HttpUriRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestSanitizer

public RequestSanitizer()

## Method Details

### sanitizeRequest

public static String sanitizeRequest(org.apache.http.client.methods.HttpUriRequest request)